PDA

View Full Version : vBAdvanced and 3.0.6


flstreetscene
14 Feb 2005, 22:03
Are they compatible? :dead:

Thanks.

Chad F.
14 Feb 2005, 22:05
I'd like to know the same thing..

Zachery
14 Feb 2005, 22:43
I'd like to know the same thing..
Of course, theres no reason for a hack to become incompatible during minor version updates, unless there is some huge chunk of code changed, and even then

Most hacks for vBulletin 2.2.X worked for vBulletin 2.3.X

flstreetscene
15 Feb 2005, 02:06
I get this error when I modify my global.php;
Parse error: parse error, unexpected T_CONSTANT_ENCAPSED_STRING in /home/florida/public_html/forums/includes/functions.php on line 2013

Then I get this after I restore the original global.php;

Warning: main(./includes/functions.php): failed to open stream: No such file or directory in /global.php on line 68

Fatal error: main(): Failed opening required './includes/functions.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/florida/public_html/forums/global.php on line 68

S.Shady
15 Feb 2005, 15:46
reinstall the hack

flstreetscene
15 Feb 2005, 16:44
I never installed it.. This was after I uploaded the files and before I ran the install script which I couldn't run because of the error..

btw when the instructions ask to insert the code above another do I insert RIGHT above or leave space?

SupraT
15 Feb 2005, 16:50
I use it and it works perfect. Also, remember if you just installed the upgrade to vB, you will need to redo many of the installation steps with vBadvanced. Once you do that it will work like a champ.

flstreetscene
15 Feb 2005, 16:54
in your profile it says your running 3.0.3

I use it and it works perfect. Also, remember if you just installed the upgrade to vB, you will need to redo many of the installation steps with vBadvanced. Once you do that it will work like a champ.

I did everything as per instructions. Which leaves the installation page to be run as last..

I will recheck everything again.

Delphiprogrammi
15 Feb 2005, 17:01
hi,

be VERRY carefull with whitespaces... just do as the installation instructions tell you todo open global.php


<?php
//find this code
define('VB_AREA','Forum');
//below that code
if(defined('VBA_PORTAL'))
{
$phrasegroups = array_merge($phrasegroups,
array(
'calendar',
'adv_portal',
'postbit'
)
);
$specialtemplates = array_merge($specialtemplates,
array(
'adv_modules',
'adv_portal_opts',
'attachmentcache',
'bbcodecache',
'birthdaycache',
'eventcache',
'iconcache',
'maxloggedin',
'smiliecache',
'userstats'
)
);
$globaltemplates = array_merge($globaltemplates,
array(
'adv_portal',
'adv_portal_footer'
)
);
} // do not forget this
// find
// #############################################################################
// ######################## START TEMPLATES & STYLES ###########################
// #############################################################################
//above that ad this code
if (defined('VBA_PORTAL'))
{
require_once('./includes/vba_cmps_include_top.php');
}
// find
// #############################################################################
// ######################### END TEMPLATES & STYLES ############################
// #############################################################################
//above that

if (defined('VBA_PORTAL'))
{
require_once('./includes/vba_cmps_include_bottom.php');
}
?>


that's it for global.php you must trictly follow the php syntax

flstreetscene
15 Feb 2005, 20:17
Ok I just found out it's not the global.php document but functions.php instead.

I get the following error;
Parse error: parse error, unexpected T_CONSTANT_ENCAPSED_STRING in /home/florida/public_html/forums/includes/functions.php on line 2013

And I know I did everything as per instructions to this document;
// query calendar permissions
if (THIS_SCRIPT == 'online' OR THIS_SCRIPT == 'calendar' OR (THIS_SCRIPT == 'adv_index') OR (THIS_SCRIPT == 'index' AND $vboptions['showevents']))
{ // Only query calendar permissions when accessing the calendar or subscriptions or index.php

on line 2013 I have this;
$debughtml .= " (<a href=\"" . htmlspecialchars_uni(SCRIPTPATH) . iif(strpos(SCRIPTPATH, '?') '?')'?')'?')'?')=== false, '?', '?','?','?','?','&amp;') . "tempusage=1\">Template Usage</a>) (<a href=\"" . htmlspecialchars_uni(SCRIPTPATH) . iif(strpos(SCRIPTPATH, '?') '?')'?')'?')'?')=== false, '?', '?','?','?','?','&amp;') . "explain=1\">Explain</a>)<br />\n";

SupraT
15 Feb 2005, 20:59
[QUOTE=flstreetscene]in your profile it says your running 3.0.3



QUOTE]

Not something that I actually follow that closely. But thanks for the heads up, I updated for you. :)

arob42
16 Feb 2005, 00:19
Don't upload with Dreamweaver.

flstreetscene
16 Feb 2005, 01:43
I didn't upload with Dreamweaver however I did edit it with it.. Should I use something else?

Btw I just went over the whole modifications process carefully one by one and I still get the same..


Parse error: parse error, unexpected T_CONSTANT_ENCAPSED_STRING in /home/florida/public_html/forums/includes/functions.php on line 2013

Zachery
16 Feb 2005, 01:55
Don't edit with it either.

flstreetscene
16 Feb 2005, 01:58
what should I use instead?

arob42
16 Feb 2005, 02:05
I used EditPad Pro and uploaded with SmartFTP, but notepad would work too and any ftp utility. I edited & uploaded functions.php with Dreamweaver and got the exact same message you are getting. This happened with one other file too, but I don't recall the name. Most files work fine with Dreamweaver, but not this one for some reason. Good luck.

SupraT
16 Feb 2005, 02:18
Don't edit with it either.

Really Zach? I use it constantly have had no issues with it. I just always make sure that you use "code" and delete everything that DW puts in the default document.

What do you use Zach?

flstreetscene
16 Feb 2005, 03:06
EditPad Pro did it. Things are working!

www.floridastreetscene.com

Is it just me or it loads slow...